aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/welcome.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/welcome.sh')
-rw-r--r--sh/profile.d/welcome.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/sh/profile.d/welcome.sh b/sh/profile.d/welcome.sh
index 22cdde93..3cb420c5 100644
--- a/sh/profile.d/welcome.sh
+++ b/sh/profile.d/welcome.sh
@@ -7,14 +7,14 @@ esac
# Only if not in a tmux window
[ -z "$TMUX" ] || return
-# Not if ~/.hushlogin exists
-[ -e "$HOME"/.hushlogin ] && return
+# Only if ~/.hushlogin doesn't exist
+! [ -e "$HOME"/.hushlogin ] || return
# Run all of this in a subshell to clear it away afterwards
(
# Temporary helper function
welcome() {
- [ -e "$HOME"/.welcome/"$1" ] || return
+ [ -e "$HOME"/.config/welcome/"$1" ] || return
command -v "$1" >/dev/null 2>&1 || return
}